<div class="full-width">
  <input
    #textInput
    nz-input
    [value]="value"
    (blur)="closeOptionMenu()"
    (keyup.enter)="handleKeyupEnter()"
    (keyup.escape)="closeOptionMenu()"
    (keydown.arrowUp)="activateOptionAbove($event)"
    (keydown.arrowDown)="activateOptionBelow($event)"
  />
  <ng-template #templatePortalContent>
    <div class="autocomplete-menu-container">
      <div class="autocomplete-menu">
        @for (option of options; track option; let index = $index) {
          <sqtm-core-autocomplete-option
            [value]="option"
            (mousedown)="selectOptionWithMouse($event, option)"
            (mouseover)="activateOption(index)"
          >
          </sqtm-core-autocomplete-option>
        }
      </div>
    </div>
  </ng-template>
</div>
